#Rapport Pentest : WDoS<br />
<br />
##Introduction<br />
Dans le cadre de notre évaluation de sécurité, nous avons réalisé une attaque de pentesting physique simulée sur les infrastructures réseau de l'entreprise. <br />
L'objectif de cette attaque était de tester la résistance des équipements réseau face à une attaque de type DoS (Denial of Service) en utilisant une méthode peu conventionnelle : <br />
l'utilisation d'eau dans un port PoE (Power Over Ethernet). <br />
Cette attaque est appelée Water Denial of Service<br />
<br />
##Description de l'attaque<br />
Pour mener à bien cette attaque, nous avons utilisé un injecteur d'eau spécialement conçu pour les ports POE. Nous avons injecté de l'eau dans le port POE d'un switch réseau, ce qui a provoqué un court-circuit et une panne de courant sur l'équipement ciblé. Cette panne de courant a entraîné une interruption de service pour tous les équipements connectés au switch, rendant ainsi le réseau indisponible pendant plusieurs minutes.<br />
<br />
##Résultats de l'attaque<br />
L'attaque a permis de mettre en évidence une vulnérabilité des équipements réseau face à une attaque physique de type DDoS. <br />
Bien que l'utilisation d'eau dans un port POE soit une méthode peu conventionnelle, elle s'est avérée efficace pour perturber le fonctionnement du réseau.<br />
<br />
##Recommandations<br />
Afin de se prémunir contre ce type d'attaque, nous recommandons aux entreprises de mettre en place des mesures de sécurité physique renforcées pour protéger les équipements réseau. <br />
Cela peut inclure l'utilisation de boîtiers de protection pour les ports POE, la mise en place de caméras de surveillance et de systèmes d'alerte en cas d'intrusion physique.<br />
<br />
Il est également recommandé de mettre en place des mesures de redondance pour les équipements réseau critiques, afin de minimiser l'impact d'une éventuelle panne de courant ou d'une interruption de service.<br />
<br />
##Conclusion<br />
Cette attaque simulée de pentesting physique a permis de mettre en évidence une vulnérabilité des équipements réseau face à une attaque de type DDoS utilisant une méthode peu conventionnelle. <br />
Les entreprises doivent donc être conscientes de ce type de risque et mettre en place des mesures de sécurité physique et de redondance appropriées pour protéger leurs infrastructures réseau.